velocity_update.h File Reference
`#include <ubuntu/visibility.h>`
`#include <stdbool.h>`
`#include <stdint.h>`
Include dependency graph for velocity_update.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct UbuntuApplicationLocationVelocityUpdate | UALocationVelocityUpdate
| Opaque type encapsulating a velocity update. More...

## Functions

UBUNTU_DLL_PUBLIC void | ua_location_velocity_update_ref (UALocationVelocityUpdate *update)
| Increments the reference count of the velocity update instance. More...
UBUNTU_DLL_PUBLIC void | ua_location_velocity_update_unref (UALocationVelocityUpdate *update)
| Decrements the reference count of the velocity update instance. More...
UBUNTU_DLL_PUBLIC uint64_t | ua_location_velocity_update_get_timestamp (UALocationVelocityUpdate *update)
| Queries the timestamp of the velocity update. More...
UBUNTU_DLL_PUBLIC double | ua_location_velocity_update_get_velocity_in_meters_per_second (UALocationVelocityUpdate *update)
| Queries the velocity contained in the position update. More...